--- old/usr/src/pkg/manifests/system-network-console.mf	2014-04-11 13:24:19.860894746 +0100
+++ new/usr/src/pkg/manifests/system-network-console.mf	2014-04-11 13:24:19.868009219 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
--- old/usr/src/pkg/manifests/system-network-http-cache-accelerator.mf	2014-04-11 13:24:20.054658487 +0100
+++ new/usr/src/pkg/manifests/system-network-http-cache-accelerator.mf	2014-04-11 13:24:20.063067946 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -52,7 +53,7 @@
 dir path=usr group=sys
 dir path=usr/bin
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/inet
 dir path=usr/share/man
 dir path=usr/share/man/man1
@@ -77,7 +78,7 @@
 $(i386_ONLY)file path=kernel/drv/nca group=sys
 file path=kernel/drv/nca.conf group=sys
 file path=usr/bin/ncab2clf mode=0555
-file path=usr/lib/$(ARCH64)/ncad_addr.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/ncad_addr.so.1
 file path=usr/lib/inet/ncaconfd mode=0555
 file path=usr/lib/ncad_addr.so.1
 file path=usr/share/man/man1/nca.1
@@ -105,6 +106,6 @@
     name="Solaris Network Cache and Accelerator (Usr)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/ncad_addr.so target=./ncad_addr.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/ncad_addr.so target=./ncad_addr.so.1
 link path=usr/lib/ncad_addr.so target=./ncad_addr.so.1
 link path=usr/share/man/man1/snca.1 target=nca.1
--- old/usr/src/pkg/manifests/system-network-ppp.mf	2014-04-11 13:24:20.274055394 +0100
+++ new/usr/src/pkg/manifests/system-network-ppp.mf	2014-04-11 13:24:20.281398905 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/network/ppp@$(PKGVERS)
--- old/usr/src/pkg/manifests/system-network-routing-vrrp.mf	2014-04-11 13:24:20.476117958 +0100
+++ new/usr/src/pkg/manifests/system-network-routing-vrrp.mf	2014-04-11 13:24:20.485021617 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/network/routing/vrrp@$(PKGVERS)
@@ -38,13 +39,13 @@
 dir path=lib/svc/method
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/inet
 dir path=usr/sbin
 file path=etc/inet/vrrp.conf group=sys
 file path=lib/svc/manifest/network/vrrp.xml group=sys mode=0444
 file path=lib/svc/method/svc-vrrp mode=0555
-file path=usr/lib/$(ARCH64)/libvrrpadm.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libvrrpadm.so.1
 file path=usr/lib/inet/vrrpd mode=0555
 file path=usr/lib/libvrrpadm.so.1
 file path=usr/sbin/vrrpadm mode=0555
--- old/usr/src/pkg/manifests/system-network-udapl-udapl-tavor.mf	2014-04-11 13:24:20.673599008 +0100
+++ new/usr/src/pkg/manifests/system-network-udapl-udapl-tavor.mf	2014-04-11 13:24:20.681698597 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -43,7 +44,7 @@
 dir path=kernel/drv/$(ARCH64) group=sys
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/share
 dir path=usr/share/dat group=sys
 driver name=daplt perms="* 0644 root sys"
@@ -52,7 +53,7 @@
 file path=kernel/drv/$(ARCH64)/daplt group=sys
 $(i386_ONLY)file path=kernel/drv/daplt group=sys
 file path=kernel/drv/daplt.conf group=sys
-file path=usr/lib/$(ARCH64)/udapl_tavor.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/udapl_tavor.so.1
 file path=usr/lib/udapl_tavor.so.1
 file path=usr/share/dat/SUNWudaplt.conf group=sys mode=0644
 hardlink path=etc/rc2.d/S81dodatadm.udaplt \
--- old/usr/src/pkg/manifests/system-network-udapl.mf	2014-04-11 13:24:20.869936140 +0100
+++ new/usr/src/pkg/manifests/system-network-udapl.mf	2014-04-11 13:24:20.878674744 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -39,7 +40,7 @@
 dir path=etc/dat group=sys
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/sbin
 dir path=usr/share/man
 dir path=usr/share/man/man1m
@@ -48,8 +49,8 @@
 dir path=usr/share/man/man4
 file path=etc/dat/dat.conf group=sys original_name=SUNWudapl:etc/dat/dat.conf \
     preserve=true
-file path=usr/lib/$(ARCH64)/libdat.so.1
-file path=usr/lib/$(ARCH64)/llib-ldat.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libdat.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-ldat.ln
 file path=usr/lib/libdat.so.1
 file path=usr/lib/llib-ldat
 file path=usr/lib/llib-ldat.ln
@@ -136,5 +137,5 @@
     name="Sun User Direct Access Programming Library (User)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libdat.so target=libdat.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdat.so target=libdat.so.1
 link path=usr/lib/libdat.so target=libdat.so.1
--- old/usr/src/pkg/manifests/system-remote-shared-memory.mf	2014-04-11 13:24:21.066639801 +0100
+++ new/usr/src/pkg/manifests/system-remote-shared-memory.mf	2014-04-11 13:24:21.074565830 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/remote-shared-memory@$(PKGVERS)
@@ -34,7 +35,7 @@
 dir path=usr/kernel/drv group=sys
 dir path=usr/kernel/drv/$(ARCH64) group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/share/man
 dir path=usr/share/man/man3lib
 dir path=usr/share/man/man3rsm
@@ -42,7 +43,7 @@
 file path=usr/kernel/drv/$(ARCH64)/rsm group=sys
 $(i386_ONLY)file path=usr/kernel/drv/rsm group=sys
 file path=usr/kernel/drv/rsm.conf group=sys
-file path=usr/lib/$(ARCH64)/librsm.so.2
+$(BUILD64)file path=usr/lib/$(ARCH64)/librsm.so.2
 file path=usr/lib/librsm.so.2
 file path=usr/share/man/man3lib/librsm.3lib
 file path=usr/share/man/man3rsm/rsm_create_localmemory_handle.3rsm
@@ -66,7 +67,7 @@
     name="Remote Shared Memory"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/librsm.so target=librsm.so.2
+$(BUILD64)link path=usr/lib/$(ARCH64)/librsm.so target=librsm.so.2
 link path=usr/lib/librsm.so target=librsm.so.2
 link path=usr/share/man/man3rsm/rsm_free_interconnect_topology.3rsm \
     target=rsm_get_interconnect_topology.3rsm
--- old/usr/src/pkg/manifests/system-scheduler-fss.mf	2014-04-11 13:24:21.297838820 +0100
+++ new/usr/src/pkg/manifests/system-scheduler-fss.mf	2014-04-11 13:24:21.310049526 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/scheduler/fss@$(PKGVERS)
--- old/usr/src/pkg/manifests/system-storage-sasinfo.mf	2014-04-11 13:24:21.526654336 +0100
+++ new/usr/src/pkg/manifests/system-storage-sasinfo.mf	2014-04-11 13:24:21.534885247 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -41,7 +42,7 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/sbin
 dir path=usr/share/man
 dir path=usr/share/man/man1m
@@ -50,9 +51,9 @@
 file path=etc/smhba.conf group=sys original_name=SUNWsmhba:etc/smhba.conf \
     preserve=true
 file path=usr/include/smhbaapi.h
-file path=usr/lib/$(ARCH64)/libSMHBAAPI.so.1
-file path=usr/lib/$(ARCH64)/libsun_sas.so.1
-file path=usr/lib/$(ARCH64)/llib-lSMHBAAPI.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libSMHBAAPI.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsun_sas.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lSMHBAAPI.ln
 file path=usr/lib/libSMHBAAPI.so.1
 file path=usr/lib/libsun_sas.so.1
 file path=usr/lib/llib-lSMHBAAPI
@@ -70,8 +71,8 @@
 license lic_CDDL license=lic_CDDL
 license usr/src/lib/smhba/THIRDPARTYLICENSE \
     license=usr/src/lib/smhba/THIRDPARTYLICENSE
-link path=usr/lib/$(ARCH64)/libSMHBAAPI.so target=libSMHBAAPI.so.1
-link path=usr/lib/$(ARCH64)/libsun_sas.so target=libsun_sas.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libSMHBAAPI.so target=libSMHBAAPI.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsun_sas.so target=libsun_sas.so.1
 link path=usr/lib/libSMHBAAPI.so target=libSMHBAAPI.so.1
 link path=usr/lib/libsun_sas.so target=libsun_sas.so.1
 link path=usr/share/man/man3lib/SMHBA_GetAdapterAttributes.3lib \
--- old/usr/src/pkg/manifests/system-tnf.mf	2014-04-11 13:24:21.732649552 +0100
+++ new/usr/src/pkg/manifests/system-tnf.mf	2014-04-11 13:24:21.741278735 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/tnf@$(PKGVERS)
@@ -33,27 +34,27 @@
 dir path=usr group=sys
 dir path=usr/bin
 dir path=usr/bin/$(ARCH32)
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/include
 dir path=usr/include/tnf
 dir path=usr/kernel group=sys
 dir path=usr/kernel/drv group=sys
 dir path=usr/kernel/drv/$(ARCH64) group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/share/man/man1
 dir path=usr/share/man/man3lib
 driver name=tnf perms="tnfctl 0600 root sys" perms="tnfmap 0600 root sys"
 file path=usr/bin/$(ARCH32)/prex mode=0555
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/tnfxtract mode=0555
-file path=usr/bin/$(ARCH64)/prex mode=0555
-file path=usr/bin/$(ARCH64)/tnfxtract mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/prex mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/tnfxtract mode=0555
 file path=usr/include/tnf/tnfctl.h
 file path=usr/kernel/drv/$(ARCH64)/tnf group=sys
 $(i386_ONLY)file path=usr/kernel/drv/tnf group=sys
 file path=usr/kernel/drv/tnf.conf group=sys
-file path=usr/lib/$(ARCH64)/libtnfctl.so.1
-file path=usr/lib/$(ARCH64)/libtnfprobe.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libtnfctl.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libtnfprobe.so.1
 file path=usr/lib/libtnfctl.so.1
 file path=usr/lib/libtnfprobe.so.1
 file path=usr/share/man/man1/prex.1
@@ -66,7 +67,7 @@
     name="TNF Core Components"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libtnfctl.so target=libtnfctl.so.1
-link path=usr/lib/$(ARCH64)/libtnfprobe.so target=libtnfprobe.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtnfctl.so target=libtnfctl.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtnfprobe.so target=libtnfprobe.so.1
 link path=usr/lib/libtnfctl.so target=./libtnfctl.so.1
 link path=usr/lib/libtnfprobe.so target=./libtnfprobe.so.1
--- old/usr/src/pkg/manifests/system-zones-brand-s10.mf	2014-04-11 13:24:21.927982194 +0100
+++ new/usr/src/pkg/manifests/system-zones-brand-s10.mf	2014-04-11 13:24:21.936395861 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/zones/brand/s10@$(PKGVERS)
@@ -47,10 +48,10 @@
 $(i386_ONLY)dir path=usr/kernel/brand group=sys
 $(i386_ONLY)dir path=usr/kernel/brand/$(ARCH64) group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/brand
 dir path=usr/lib/brand/solaris10 group=sys
-dir path=usr/lib/brand/solaris10/$(ARCH64)
+$(BUILD64)dir path=usr/lib/brand/solaris10/$(ARCH64)
 file path=etc/brand/solaris10/pkgrm.conf group=sys \
     original_name=SUNWs10brand:etc/brand/solaris10/pkgrm.conf preserve=true
 file path=etc/brand/solaris10/smf_disable.conf group=sys \
@@ -63,9 +64,10 @@
     group=sys mode=0755
 $(i386_ONLY)file path=usr/kernel/brand/$(ARCH64)/s10_brand group=sys mode=0755
 $(i386_ONLY)file path=usr/kernel/brand/s10_brand group=sys mode=0755
-file path=usr/lib/$(ARCH64)/s10_brand.so.1
-file path=usr/lib/$(ARCH64)/s10_npreload.so.1
-file path=usr/lib/brand/solaris10/$(ARCH64)/solaris10_librtld_db.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/s10_brand.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/s10_npreload.so.1
+$(BUILD64)file \
+    path=usr/lib/brand/solaris10/$(ARCH64)/solaris10_librtld_db.so.1
 file path=usr/lib/brand/solaris10/attach mode=0755
 file path=usr/lib/brand/solaris10/clone mode=0755
 file path=usr/lib/brand/solaris10/common.ksh mode=0444
@@ -98,4 +100,4 @@
     name="Solaris 10 Containers: solaris10 brand support (Usr)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/brand/solaris10/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/brand/solaris10/64 target=$(ARCH64)
--- old/usr/src/pkg/manifests/system-zones-brand-sn1.mf	2014-04-11 13:24:22.124532635 +0100
+++ new/usr/src/pkg/manifests/system-zones-brand-sn1.mf	2014-04-11 13:24:22.132878254 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/zones/brand/sn1@$(PKGVERS)
@@ -45,10 +46,10 @@
 $(i386_ONLY)dir path=usr/kernel/brand group=sys
 $(i386_ONLY)dir path=usr/kernel/brand/$(ARCH64) group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/brand
 dir path=usr/lib/brand/sn1 group=sys
-dir path=usr/lib/brand/sn1/$(ARCH64)
+$(BUILD64)dir path=usr/lib/brand/sn1/$(ARCH64)
 file path=etc/zones/SUNWsn1.xml mode=0444
 $(sparc_ONLY)file path=platform/sun4u/kernel/brand/$(ARCH64)/sn1_brand \
     group=sys mode=0755
@@ -56,8 +57,8 @@
     group=sys mode=0755
 $(i386_ONLY)file path=usr/kernel/brand/$(ARCH64)/sn1_brand group=sys mode=0755
 $(i386_ONLY)file path=usr/kernel/brand/sn1_brand group=sys mode=0755
-file path=usr/lib/$(ARCH64)/sn1_brand.so.1
-file path=usr/lib/brand/sn1/$(ARCH64)/sn1_librtld_db.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/sn1_brand.so.1
+$(BUILD64)file path=usr/lib/brand/sn1/$(ARCH64)/sn1_librtld_db.so.1
 file path=usr/lib/brand/sn1/config.xml mode=0444
 file path=usr/lib/brand/sn1/platform.xml mode=0444
 file path=usr/lib/brand/sn1/sn1_boot mode=0755
@@ -69,4 +70,4 @@
     name="Fake Solaris N-1 Brand (Usr)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/brand/sn1/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/brand/sn1/64 target=$(ARCH64)
--- old/usr/src/pkg/manifests/system-zones-internal.mf	2014-04-11 13:24:22.343472716 +0100
+++ new/usr/src/pkg/manifests/system-zones-internal.mf	2014-04-11 13:24:22.351874027 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/zones/internal@$(PKGVERS)
@@ -32,14 +33,14 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 file path=usr/include/libbrand.h
 file path=usr/include/libuutil.h
 file path=usr/include/libzonecfg.h
 file path=usr/include/zonestat_impl.h
-file path=usr/lib/$(ARCH64)/llib-lbrand.ln
-file path=usr/lib/$(ARCH64)/llib-lzonecfg.ln
-file path=usr/lib/$(ARCH64)/llib-lzonestat.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lbrand.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lzonecfg.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lzonestat.ln
 file path=usr/lib/llib-lbrand
 file path=usr/lib/llib-lbrand.ln
 file path=usr/lib/llib-lzonecfg
@@ -50,9 +51,9 @@
     name="Solaris Zones Internal Files" version=11.11,REV=2009.10.13
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libbrand.so target=./libbrand.so.1
-link path=usr/lib/$(ARCH64)/libzonecfg.so target=./libzonecfg.so.1
-link path=usr/lib/$(ARCH64)/libzonestat.so target=./libzonestat.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libbrand.so target=./libbrand.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libzonecfg.so target=./libzonecfg.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libzonestat.so target=./libzonestat.so.1
 link path=usr/lib/libbrand.so target=./libbrand.so.1
 link path=usr/lib/libzonecfg.so target=./libzonecfg.so.1
 link path=usr/lib/libzonestat.so target=./libzonestat.so.1
--- old/usr/src/pkg/manifests/system-zones.mf	2014-04-11 13:24:22.570829588 +0100
+++ new/usr/src/pkg/manifests/system-zones.mf	2014-04-11 13:24:22.585209714 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/zones@$(PKGVERS)
@@ -43,7 +44,7 @@
 dir path=usr/kernel/drv group=sys
 dir path=usr/kernel/drv/$(ARCH64) group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/brand
 dir path=usr/lib/brand/ipkg group=bin
 dir path=usr/lib/brand/shared group=sys
@@ -77,9 +78,9 @@
 file path=usr/bin/zonestat mode=0555
 file path=usr/kernel/drv/$(ARCH64)/zcons group=sys
 $(i386_ONLY)file path=usr/kernel/drv/zcons group=sys
-file path=usr/lib/$(ARCH64)/libbrand.so.1
-file path=usr/lib/$(ARCH64)/libzonecfg.so.1
-file path=usr/lib/$(ARCH64)/libzonestat.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libbrand.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libzonecfg.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libzonestat.so.1
 file path=usr/lib/brand/ipkg/config.xml mode=0444
 file path=usr/lib/brand/ipkg/platform.xml mode=0444
 file path=usr/lib/brand/shared/common.ksh mode=0444
--- old/usr/src/pkg/manifests/text-locale.mf	2014-04-11 13:24:22.778085877 +0100
+++ new/usr/src/pkg/manifests/text-locale.mf	2014-04-11 13:24:22.787622678 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2010 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/text/locale@$(PKGVERS)
@@ -35,7 +36,7 @@
 dir path=usr/bin
 dir path=usr/lib
 dir path=usr/lib/iconv
-dir path=usr/lib/iconv/$(ARCH64)
+$(BUILD64)dir path=usr/lib/iconv/$(ARCH64)
 dir path=usr/lib/iconv/geniconvtbl
 dir path=usr/lib/iconv/geniconvtbl/binarytables
 dir path=usr/lib/iconv/geniconvtbl/srcs
@@ -50,7 +51,7 @@
 file path=usr/bin/srchtxt mode=0555
 file path=usr/bin/xgettext mode=0555
 file path=usr/lib/gmsgfmt mode=0555
-file path=usr/lib/iconv/$(ARCH64)/geniconvtbl.so mode=0555
+$(BUILD64)file path=usr/lib/iconv/$(ARCH64)/geniconvtbl.so mode=0555
 file path=usr/lib/iconv/geniconvtbl.so mode=0555
 file path=usr/lib/iconv/geniconvtbl/binarytables/ISO646%ISO8859-1.bt mode=0444
 file path=usr/lib/iconv/geniconvtbl/binarytables/ISO8859-1%ISO646.bt mode=0444
